<template>
    <main>
        <div class="h1-container">
            <h1 class="h1-with-line">{{sections.extra.subject_name}}</h1>
            <div class="h1-line"></div>
            <div class="clear"></div>
        </div>
        <div class="task-add-to-favorite flex-parent flex-end ">

            <span class="task-left">У вас осталось {{sections.free_tasks}} бесплатных задач </span>
            <div class="open-access">
                <a href="">Открыт доступ на все задачи</a>

            </div>
        </div>


        <div :class="{'section-item': true, 'section-show':  (selectedId===section.id)}" @click="selectedId=section.id" v-for="section in sections.sections" v-bind:key="section.id">
            <div :class="{'name-section': true, 'section-show':  (selectedId===section.id)}" :id="section.id">{{section.name + ''}}
                <div class="section-triangle" ></div>
            </div>
            <div class="numbers flex-parent">
                <router-link :to="{name: 'Task', params:{id: task.id}}"class="number flex-parent flex-align-center flex-justify-center"
                             v-for="task in section.tasks" v-bind:key="task.id">{{task.title}}</router-link>

            </div>
        </div>

    </main>
</template>

<script>
    export default {
        name: 'Sections',
        props: ['id'],
        data(){
            return {
                selectedId: ''
            }
        },
        beforeMount(){
          this.$store.dispatch('loadSections', this.id)
        },
        methods:{

        },
        computed:{
            sections(){
                console.log(this.$store.getters.sections.sections)
                return this.$store.getters.sections
            }
        }
    }
</script>
